import 'package:krow/core/data/models/staff/staff.dart';

abstract class StaffPersonalInfoRepository {
  Stream<Staff> getPersonalInfo();

  Future<Staff> updatePersonalInfo({
    required String firstName,
    required String? middleName,
    required String lastName,
    required String email,
    String? avatarPath,
  });
}
